Brokers
For authentication instructions, see API overview.
Endpoints
get
List all brokers
Returns a list of brokers. The brokers are returned in sorted order, with the most recent appearing first.
Query parameters
limitintegerThe number of records to return
pageintegerThe page number
orderstringThe order of the records
sortBystringThe sort of the records
fieldsstringThe filter of the records
pstringpolicyFilters
qstringsearch query
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/brokersResponse
No response schemapost
Create broker
Create broker. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
namestringaddressobjectcontactsarray
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/brokers \ -d 'name="Broker1"' \ -d 'address="object"' \ -d 'contacts="array"'Response
No response schemaget
Retrieve broker
Returns a single broke, which you can request by passing through an id in the url.
Path parameters
idstringID of the broker
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/brokers/:idResponse
No response schemaput
Update broker
Path parameters
idstringID of the broker
Request body
namestringaddressobjectcontactsarray
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/brokers/:id \ -d 'name="Broker1"' \ -d 'address="object"' \ -d 'contacts="array"'Response
No response schemadelete
Delete broker
Path parameters
idstringID of the broker
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X DELETE \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/brokers/:id